<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name') }}</title>

    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,600" rel="stylesheet">

    {{-- mc initializers --}}
    <script src="/js/mc-init.js?v={{config('app.asset_version')}}"></script>

    {{-- vue --}}
    <script src="/js/vue.js"></script>

    {{-- Quill RTE --}}
    <script>
        window.stagQuillConfig = {
            toolbar: ['bold', 'italic', 'underline', { 'list': 'ordered'}, { 'list': 'bullet' }],
            keyboard: {
                bindings: {
                    handleEnter: {
                        key: 13,
                        handler: function() {
                            if(!$('.stag-shortcuts:visible').length) return true;
                        }
                    }
                }
            }
        };
    </script>
    <link href="/quill/quill.snow.css" rel="stylesheet">
    <script src="/quill/quill.js"></script>

    <!-- <link href="{{ asset('bootstrap-4.5.0/css/bootstrap.css') }}" rel="stylesheet"> -->
    <link rel="stylesheet" href="/fontawesome-free-5.13.1-web/css/all.min.css">
    <link href="{{ asset('/css/app.css') }}?v={{config('app.asset_version')}}" rel="stylesheet">
    <link href="{{ asset('/css/style.css') }}?v={{config('app.asset_version')}}" rel="stylesheet">
    <link href="{{ asset('/css/yemi.css') }}?v={{config('app.asset_version')}}" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('/css/toastr.min.css') }}">
    <link href="{{asset('/css/z.css')}}?v={{config('app.asset_version')}}" rel=stylesheet>
    <!-- Styles -->

    <script src="{{ asset('js/app.js') }}?v={{config('app.asset_version')}}" type="application/javascript"></script>
    <script src="/js/jquery-3.5.1.min.js"></script>
    <script src="/js/jquery.form.min.js"></script>
    <script src="{{ asset('js/toastr.min.js') }}" type="application/javascript"></script>
    <script src="/js/yemi.js?v={{config('app.asset_version')}}" type="application/javascript"></script>

    {{-- med ac --}}
    <link href='/css/autocomplete-lhc.min.css' rel="stylesheet">
    <script src='/js/autocomplete-lhc.js'></script>

    {{-- inline bootstrap datepicker --}}
{{--    <link href='/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css' rel="stylesheet">
    <script src='/bootstrap-datepicker/js/bootstrap-datepicker.min.js'></script>--}}

    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

    {{-- pdfjs --}}
    <script src="/js/pdfjs-2.12.313/build/pdf.js"></script>

    <script src="{{ asset('js/tsvToArray.js') }}"></script>

    {{-- WebSockets --}}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/sockjs-client/1.5.0/sockjs.min.js"
            integrity="sha512-5yJ548VSnLflcRxWNqVWYeQZnby8D8fJTmYRLyvs445j1XmzR8cnWi85lcHx3CUEeAX+GrK3TqTfzOO6LKDpdw=="
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/stomp.js/2.3.3/stomp.min.js"
            integrity="sha512-iKDtgDyTHjAitUDdLljGhenhPwrbBfqTKWO1mkhSFH3A7blITC9MhYon6SjnMhp4o0rADGw9yAC6EW4t5a4K3g=="
            crossorigin="anonymous"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/TableDnD/1.0.5/jquery.tablednd.min.js"></script>

    <script>
        window.segmentRefreshConfig = {!! json_encode(config('stag.segmentRefreshConfig')) !!};
    </script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

    <script type="text/javascript">
        $(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
        });
    </script>

    @yield('head')
</head>

<body>
    <div id="mask" style="background: rgba(0, 0, 0, 0) url(&quot;/vanillaspin.gif&quot;) no-repeat scroll center center; position: fixed; top: 0px; left: 0px; z-index: 9999; width: 100%; height: 100%; display: none;">
    </div>
    <div id="moe-form-mask" style="background: rgba(0, 0, 0, .1) no-repeat scroll center center; position: fixed; top: 0px; left: 0px; z-index: 97; width: 100%; height: 100%; display: none;">
    </div>



    <nav class="navbar navbar-expand-md navbar-dark stag-primary-bg py-1 mcp-theme-1 px-2">
        <a class="navbar-brand" href="/">
            <img src="/img/logo_white.svg" alt="Leadership Health">
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navBar" aria-controls="navBar" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navBar">
            <ul class="navbar-nav mr-auto">
                @if($pro->pro_type == 'ADMIN')
                    <li class="nav-item"><a class="nav-link" href="{{ route('admin.dashboard') }}"><i class="mr-1 fas fa-home"></i> Home</a> </li>
                    <li class="nav-item"><a class="nav-link" href="{{ route('admin.patients') }}"><i class="mr-1 fas fa-user"></i> Patients</a> </li>
                @elseif($pro->is_enrolled_as_mcp && $pro->is_considered_for_mcp_assignment)
                    <li class="nav-item"><a class="nav-link" href="{{ route('mcp.dashboard') }}"><i class="mr-1 fas fa-home"></i> Home</a> </li>
                    <li class="nav-item"><a class="nav-link" href="{{ route('mcp.patients') }}"><i class="mr-1 fas fa-user"></i> Patients</a> </li>

                    <li class="nav-item"><a class="nav-link" href="{{ route('mcp.appointments') }}">
                            <i class="mr-1 fas fa-calendar-alt"></i> Appointments
                        </a>
                    </li>
                @elseif($pro->is_considered_for_dna)
                    <li class="nav-item"><a class="nav-link" href="{{ route('dna.dashboard') }}"><i class="mr-1 fas fa-home"></i> Home</a> </li>
                    <li class="nav-item"><a class="nav-link" href="{{ route('dna.patients') }}"><i class="mr-1 fas fa-user"></i> Patients</a> </li>
                 @elseif($pro->is_considered_for_rd_assignment)
                    <li class="nav-item"><a class="nav-link" href="{{ route('rd.dashboard') }}"><i class="mr-1 fas fa-home"></i> Home</a> </li>
                    <li class="nav-item"><a class="nav-link" href="{{ route('rd.appointments') }}"><i class="mr-1 fas fa-calendar-alt"></i> Appointments</a> </li>
                    <li class="nav-item"><a class="nav-link" href="{{ route('rd.patients') }}"><i class="mr-1 fas fa-user"></i> Patients</a> </li>
                 @else
                    <li class="nav-item"><a class="nav-link" href="{{ route('ps.dashboard') }}"><i class="mr-1 fas fa-home"></i> Home</a> </li>
                    <li class="nav-item"><a class="nav-link" href="{{ route('ca.patients') }}"><i class="mr-1 fas fa-user"></i> Patients</a> </li>
                @endif


                @if($pro && ($pro->can_add_patients || $pro->pro_type== 'ADMIN'))
                  <li class="nav-item"><a class="nav-link" href="{{ route('new-patient') }}"><i class="mr-1 fas fa-user-plus"></i> New Patient</a> </li>
                @endif

                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="practice-management" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="mr-1 fas fa-tasks"></i> Practice
                    </a>
                    <div class="dropdown-menu mcp-theme-1 no-overflow-menu p-0" aria-labelledby="practice-management">
                        <a class="dropdown-item" href="{{ route('practice-management.proAvailability') }}">My Availability</a>
                        @if($pro->pro_type == 'ADMIN')
                            <a class="dropdown-item" href="{{ route('practice-management.rpm-manager') }}">RPM Manager</a>
                        @endif
                        @if($pro->is_enrolled_as_mcp)
                            <a class="dropdown-item" href="{{ route('practice-management.rpm-manager') }}">RPM Manager</a>
                        	<a class="dropdown-item" href="{{ route('practice-management.rpm-matrix-mcp') }}">RPM (MCP)</a>
                        @endif
                        @if($pro->is_considered_for_rmm)
                            <a class="dropdown-item" href="{{ route('practice-management.rpm-manager') }}">RPM Manager</a>
                        	<a class="dropdown-item" href="{{ route('practice-management.rpm-matrix-rmm') }}">RPM (RMM)</a>
                        @endif
                        @if($pro->is_considered_for_rme)
                            <a class="dropdown-item" href="{{ route('practice-management.rpm-manager') }}">RPM Manager</a>
                        	<a class="dropdown-item" href="{{ route('practice-management.rpm-matrix-rme') }}">RPM (RME)</a>
                        @endif
                         @if($pro->is_considered_for_rd_assignment)
                        	<a class="dropdown-item" href="{{ route('practice-management.rpm-matrix-rme') }}">RPM (RD)</a>
                            <a class="dropdown-item" href="{{ route('rd.client-ccm-rm-status') }}">Client RM Status</a>
                            <a class="dropdown-item" href="{{ route('practice-management.myTickets') }}">My Tickets</a>
                            <a class="dropdown-item" href="{{ route('practice-management.myTextShortcuts') }}">My Text Shortcuts</a>
                            <a class="dropdown-item" href="{{ route('practice-management.myFavorites') }}">My Favorites</a>
                            <a class="dropdown-item" href="{{ route('practice-management.my-flyers') }}">My Flyers</a>
                            <a class="dropdown-item" href="{{ route('practice-management.financialTransactions') }}">Financial Transactions</a>
                            <a class="dropdown-item" href="{{ route('practice-management.proCalendar') }}">Calendar</a>
                            <a class="dropdown-item" href="{{ route('rd.rpmMatrix') }}">RPM Matrix</a>
                            <a class="dropdown-item" href="{{ route('rd.notes') }}">Notes</a>
                            <a class="dropdown-item" href="{{ route('rd.memos') }}">Memos</a>
                            <a class="dropdown-item" href="{{ route('rd.bills') }}">Bills</a>
                            <a class="dropdown-item" href="{{ route('rd.erx_and_orders') }}">ERx & Orders</a>
                            <a class="dropdown-item" href="{{ route('rd.reports') }}">Reports</a>
                            <a class="dropdown-item" href="{{ route('rd.supply_orders') }}">Supply Orders</a>
                            <a class="dropdown-item" href="{{ route('rd.client_messages') }}">Client Messages</a>
                            <a class="dropdown-item" href="{{ route('rd.patients_accounts_invites') }}">Patients Accounts Invites</a>
                            <a class="dropdown-item" href="{{ route('rd.clients_bdt_devices') }}">Clients BDT Devices</a>
                        @elseif( $pro->pro_type== 'ADMIN' || $pro->is_enrolled_as_mcp || $pro->is_considered_for_rmm || $pro->is_considered_for_rme || $pro->is_considered_for_dna)
                            <a class="dropdown-item" href="{{ route('practice-management.client-ccm-rm-status') }}">Client RM Status</a>
                            <a class="dropdown-item" href="{{ route('practice-management.myTickets') }}">My Tickets</a>
                            <a class="dropdown-item" href="{{ route('practice-management.myTextShortcuts') }}">My Text Shortcuts</a>
                            <a class="dropdown-item" href="{{ route('practice-management.myFavorites') }}">My Favorites</a>
                            <a class="dropdown-item" href="{{ route('practice-management.my-flyers') }}">My Flyers</a>
                        @else
                            <a class="dropdown-item" href="{{ route('ps.client-review-requests') }}">My Patient Chart Review Requests</a>
                            <a class="dropdown-item" href="{{ route('practice-management.myTickets') }}">My Bills</a>
                            <a class="dropdown-item" href="{{ route('practice-management.financialTransactions') }}">Financial Transactions</a>
                        @endif

                        @if($pro->is_enrolled_as_mcp && $pro->is_considered_for_mcp_assignment)

                            <a class="dropdown-item" href="{{ route('practice-management.financialTransactions') }}">Financial Transactions</a>
                            <a class="dropdown-item" href="{{ route('practice-management.myTextShortcuts') }}">Text Shortcuts</a>
                            <a class="dropdown-item" href="{{ route('practice-management.myFavorites') }}">Favorites</a>
                            <a class="dropdown-item" href="{{ route('practice-management.proCalendar') }}">Calendar</a>

                            <a class="dropdown-item" href="{{ route('practice-management.rpmMatrix') }}">RPM Matrix</a>

                            <a class="dropdown-item" href="{{ route('mcp.notes') }}">Notes</a>
                            <a class="dropdown-item" href="{{ route('mcp.memos') }}">Memos</a>
                            <a class="dropdown-item" href="{{ route('mcp.appointments') }}">Appointments</a>
                            <a class="dropdown-item" href="{{ route('mcp.bills') }}">Bills</a>
                            <a class="dropdown-item" href="{{ route('mcp.erx_and_orders') }}">ERx & Orders</a>
                            <a class="dropdown-item" href="{{ route('mcp.reports') }}">Reports</a>
                            <a class="dropdown-item" href="{{ route('mcp.supply_orders') }}">Supply Orders</a>
                            <a class="dropdown-item" href="{{ route('mcp.client_messages') }}">Messages</a>
                            <a class="dropdown-item" href="{{ route('mcp.patients_accounts_invites') }}">Patients Accounts Invites</a>
                            <a class="dropdown-item" href="{{ route('mcp.clients_bdt_devices') }}">Clients BDT Devices</a>
                        @elseif($pro->isDefaultNA())

                            <a class="dropdown-item" href="/practice-management/my-teams">My Teams</a>
                            <a class="dropdown-item" href="{{ route('dna.encounters') }}">Encounters</a>
                            <a class="dropdown-item" href="{{ route('dna.appointments') }}">Appointments</a>
                            <a class="dropdown-item" href="{{ route('dna.careMonths') }}">Care Months</a>
                            <a class="dropdown-item" href="{{ route('dna.financialTransactions') }}">Financial Transactions</a>
                            <a class="dropdown-item" href="{{ route('dna.myBills') }}">My Bills</a>
                            <!-- <a class="dropdown-item" href="{{ route('dna.myClinicalTeams') }}">My Clinical Teams</a> -->
                        @endif
                        @if($pro->pro_type === 'ADMIN' || $pro->is_considered_for_supervising_physician)
                        <a class="dropdown-item" href="{{ route('practice-management.notes-pending-physician-supervisor-stamping') }}">Notes Pending Physician Supervisor Stamping</a>
                        <a class="dropdown-item" href="{{ route('practice-management.client-review-requests') }}">Client Review Requests</a>
                        @endif
                    </div>
                </li>

                @if($pro->pro_type === 'ADMIN')

		<li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="practice-management" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <i class="mr-1 fas fa-tasks"></i> Admin
                        </a>
                        <div class="dropdown-menu mcp-theme-1 no-overflow-menu p-0" aria-labelledby="practice-management">

                            <a class="dropdown-item" href="{{ route('practice-management.claims-report') }}">Claims Report</a>
                            <a class="dropdown-item" href="{{ route('practice-management.problems-report') }}">Problems Report</a>
                            <a class="dropdown-item" href="{{ route('practice-management.coverages') }}">Coverage Center</a>
                            <a class="dropdown-item" href="{{ route('practice-management.notes-resolution-center-v2') }}">Notes Resolution Center V2</a>
                            <a class="dropdown-item" href="{{ route('practice-management.rpm-matrix-admin') }}">RPM (Admin)</a>
                            <a class="dropdown-item" href="{{ route('practice-management.daily-treatment-services') }}">Daily Treatment Services</a>
                            <a class="dropdown-item" href="{{ route('practice-management.client-pro-changes') }}">Client Pro Changes</a>
                            <a class="dropdown-item" href="{{ route('invoice-center.companies') }}">Invoice Center</a>
                            <a class="dropdown-item" href="{{ route('practice-management.financialTransactions') }}">Financial Transactions</a>
                            <a class="dropdown-item" href="/practice-management/bills/not-yet-signed">Pending Bills to Sign</a>
                            <a class="dropdown-item" href="/practice-management/notes/not-yet-signed">Pending Notes to Sign</a>
                            <a class="dropdown-item" href="/practice-management/notes/not-yet-signed-but-ally-signed">Pending Notes to Sign (Ally Signed)</a>
                            <a class="dropdown-item" href="{{ route('unmapped-sms') }}">Unmapped SMS</a>
                            <a class="dropdown-item" href="{{ route('practice-management.proAvailability') }}">Pro Availability</a>
                            <a class="dropdown-item" href="{{ route('practice-management.proCalendar') }}">Pro Calendar</a>
                            <a class="dropdown-item" href="{{ route('practice-management.billing-report') }}">Billing Report</a>
                            <a class="dropdown-item" href="{{ route('practice-management.processingBillMatrix') }}">Processing Bills</a>
                            <a class="dropdown-item" href="{{ route('practice-management.processingBillMatrix2') }}">Processing Bills (RPM)</a>
                            <a class="dropdown-item" href="{{ route('practice-management.pro-financials') }}">Pro Financials</a>
                            <a class="dropdown-item" href="{{ route('practice-management.process-claims') }}">Process Claims</a>
                            <a class="dropdown-item" href="{{ route('practice-management.hcp-note-activity') }}">HCP Note Activity</a>
                            <a class="dropdown-item" href="{{ route('practice-management.allNotes') }}">All Notes</a>
                            @if($pro->id == '1' || $pro->id == '16')
                                <a class="dropdown-item" href="{{ route('practice-management.treatmentServiceUtil') }}">Treatment Service Util.</a>
                            @endif
                            <a class="dropdown-item" href="{{ route('practice-management.supply-orders') }}">Supply Orders</a>
                            <a class="dropdown-item" href="{{ route('practice-management.shipments') }}">Shipments</a>
                            <a class="dropdown-item" href="{{ route('practice-management.generic-bills') }}">Admin. Bills</a>
                            <a class="dropdown-item" href="/practice-management/rates/all">Payment Rates</a>
                            <a class="dropdown-item" href="{{ route('practice-management.patientsAccountsInvites') }}">Patients Accounts Invites</a>
                            <a class="dropdown-item" href="{{ route('practice-management.memos') }}">Memos</a>
                            <a class="dropdown-item" href="{{ route('practice-management.segmentTemplates') }}">Segment Templates</a>
                            <a class="dropdown-item" href="{{ route('practice-management.visitTemplates') }}">Visit Templates</a>
                            <a class="dropdown-item" href="{{ route('admin.bdt_devices') }}">BDT Devices</a>
                            <a class="dropdown-item" href="{{ route('admin.patientsMissingDefasultSettings') }}">Patients Missing Default Settings</a>
                            <a class="dropdown-item" href="{{ route('management-stats') }}">Management Stats</a>
                            <a class="dropdown-item" href="{{ route('messages') }}">Messages</a>
                        </div>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle opacity-60" href="#" id="practice-management" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <i class="mr-1 fas fa-tasks"></i> Unused
                        </a>
                        <div class="dropdown-menu mcp-theme-1 no-overflow-menu p-0" aria-labelledby="practice-management">
                            <a class="dropdown-item" href="{{ route('practice-management.notes-resolution-center') }}">Notes Resolution Center</a>
                            <a class="dropdown-item" href="{{ route('practice-management.rpmMatrix') }}">RPM Matrix</a>
                            <a class="dropdown-item" href="{{ route('pro-care-month-report') }}">Care Month Report</a>
                            <a class="dropdown-item" href="{{ route('practice-management.rm-bills-to-sign') }}">RM Bills to Sign</a>
                            <a class="dropdown-item" href="{{ route('unmapped-sms') }}">Unmapped SMS</a>
                            <a class="dropdown-item" href="{{ route('practice-management.remoteMonitoringReport') }}">Remote Monitoring Report</a>
                            <a class="dropdown-item" href="{{ route('practice-management.billingManager') }}">Billing Manager</a>
                            <a class="dropdown-item" href="{{ route('practice-management.cellularMeasurements') }}">Cellular Measurements</a>
                            <a class="dropdown-item" href="{{ route('practice-management.cellularDeviceManager') }}">Cellular Device Manager</a>
                            <a class="dropdown-item" href="{{ route('practice-management.medicarePartBClaims') }}">Medicare Part B Claims</a>
                            <a class="dropdown-item" href="{{ route('practice-management.patientClaimSummary') }}">Patient Claim Summary</a>
                            <a class="dropdown-item" href="{{ route('practice-management.claims') }}">Claim Matrix</a>
                            <a class="dropdown-item" href="{{ route('practice-management.process-notes') }}">Process Notes</a>
                            <a class="dropdown-item" href="{{ route('practice-management.notes-processing-center') }}">Notes Processing Center</a>
                            <a class="dropdown-item" href="{{ route('practice-management.client-ccm-rm-status') }}">Client RM Status</a>
                            <a class="dropdown-item" href="{{ route('practice-management.rmActionReport') }}">RM Action Report</a>
                            @if($pro->id == '1' || $pro->id == '16')
                                <a class="dropdown-item" href="{{ route('practice-management.treatmentServiceUtil') }}">Treatment Service Util.</a>
                            @endif
                            <a class="dropdown-item" href="{{ route('practice-management.tickets') }}">Tickets</a>
                            <a class="dropdown-item" href="{{ route('practice-management.packs-multi-print') }}">Print Pack Labels</a>
                            <a class="dropdown-item" href="{{ route('practice-management.handouts') }}">Handouts</a>
                            <a class="dropdown-item" href="{{ route('practice-management.mc-code-checks') }}">MC Code Checks</a>
                            <a class="dropdown-item" href="{{ route('practice-management.clauses.list') }}">Clauses</a>
                            <a class="dropdown-item" href="{{ route('practice-management.statTrees.list') }}">Stat Trees</a>
                            <a class="dropdown-item" href="{{ route('practice-management.statTreeLineReports.reports') }}">Stat Trees Line Reports</a>
                            <a class="dropdown-item" href="{{ route('practice-management.clientsBdtDevices') }}">Clients BDT Devices</a>
                            <a class="dropdown-item" href="{{ route('admin.part_b_patients') }}">Part B Patients</a>
                        </div>
                    </li>
                @endif
            </ul>
            {{-- if pro is working on a client and is not in tht client
            <div class="current-work mr-2">
                @include('app/current-work')
            </div> --}}
            <a href="#" class="mr-2 text-white small" onclick="return fastReload()"><i class="fa fa-sync on-hover-opaque"></i></a>
            <div class="d-inline-flex pr-2 mcp-theme-1 position-relative">
                <input id="patient-search" type="search" class="form-control form-control-sm outline-0" autocomplete="off" placeholder="Search Patients">
                <div class="patient-search-results suggestions-outer position-absolute d-none">

                </div>
            </div>
            <div class="d-flex align-items-center">

                <div class="dropdown">
                    @if($performer->logged_in_as_pro_from_admin_pro_app_session_id)
                        <a class="nav-link dropdown-toggle text-primary px-2 py-1 rounded bg-aliceblue" href="#" id="account-menu" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <span class="text-danger my-0 small">Masquerading as <b title="Cell# {{$pro->cell_number}}">{{ $pro->name_first }}!</b></span>
                        </a>
                    @else
                        <a class="nav-link dropdown-toggle text-white pl-1 pr-0" href="#" id="account-menu" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <span class="text-white my-0 small">Hi, <b title="Cell# {{$pro->cell_number}}">{{ $pro->name_first }}!</b></span>
                        </a>
                    @endif
                    <div class="dropdown-menu dropdown-menu-right mcp-theme-1 pt-0 pb-1" aria-labelledby="account-menu">
                        @if($performer->logged_in_as_pro_from_admin_pro_app_session_id)
                            <form action="{{route('back-to-admin-pro')}}" data-action="{{route('back-to-admin-pro')}}" method="post" target="_top" class="d-block pt-1 frm-back-to-admin">
                                @csrf
                                <button class="d-block ml-2 back-to-admin-button">
                                    Back to Admin
                                </button>
                            </form>
                        @endif
                        @if($pro->pro_type == 'ADMIN')
                            <a href="{{route('log-in-as')}}" class="d-block ml-2 pt-1">Log In As</a>
                        @endif
                        @if($pro->pro_type == 'ADMIN')
                            <a native target="_top" class="d-block ml-2 pt-1"
                               href="{{config('stag.adminPortalUrl')}}/pro_log_in_with_session_key/{{$performer->session_key}}" title="">
                                Admin
                            </a>
                        @endif
                        <a native target="_top" class="d-block ml-2 pt-1" href="{{config('stag.authUrl')}}" title="">
                            Return to Home
                        </a>
                        <a native target="_top" href="{{route('logout')}}" class="d-block ml-2 pt-1">
                            Sign Out
                        </a>
                    </div>
                </div>
            </div>
        </div>

        <!--<a href="#" class="stag_rhs_toggle d-none d-md-block text-white" title="Toggle Video Pane">
            <i class="fa fa-arrow-right"></i>
        </a>-->
    </nav>

    <main role="main" class="stag-content px-0">
        @yield('content')

    </main><!-- /.container -->

    <!-- shortcut/suggest component -->
    <link href="/css/shortcut.css?v={{config('app.asset_version')}}" rel=stylesheet>
    <script src="/js/shortcut.js?v={{config('app.asset_version')}}" type="application/javascript"></script>

    <!-- pro suggest component -->
    <script src="/js/pro-suggest.js?v={{config('app.asset_version')}}" type="application/javascript"></script>

    <!-- script to handle history/back/forward for mc/xxx pages
    + all other JS initialization needed in fastLoaded pages  -->
    <script src="/js/find-event-handlers.js?v={{config('app.asset_version')}}" type="application/javascript"></script>
    <script src="/js/mc.js?v={{config('app.asset_version')}}" type="application/javascript"></script>

    <form url="/api/proTextShortcut/create" id="create-shortcut-form" class="mcp-theme-1">
        <input type="hidden" name="proUid" value="{{ $pro->uid  }}">
        <div class="mb-2">
            <input type="text" class="form-control form-control-sm" name="shortcut" value="" placeholder="Shortcut Name" required>
        </div>
        <div class="mb-2">
            <textarea name="text" class="form-control form-control-sm" rows="3" id="selected-sc-text" placeholder="Content" required></textarea>
        </div>
        <div class="mb-0">
            <button class="btn btn-primary btn-sm" type="submit">Save</button>
            <button class="btn btn-default border btn-sm ml-1" type="reset">Cancel</button>
        </div>
    </form>

    <script>
        $(document).ready(function() {
            window.toggleChildLinks = function(_element) {
                $(_element).closest('.nav-item').toggleClass('nav-child-collapsed');
                return false;
            }
            const debounce = (func, wait) => {
                let timeout;
                return function executedFunction(...args) {
                    const later = () => {
                        clearTimeout(timeout);
                        func(...args);
                    };
                    clearTimeout(timeout);
                    timeout = setTimeout(later, wait);
                };
            };
            var lastTerm = '';
            var returnedFunction = debounce(function() {
                var term = $.trim($('#patient-search').val());
                if (!!term) {
                    if(lastTerm !== term) {
                        $('.patient-search-results.suggestions-outer')
                            .html('<span class="d-block no-suggest-items">Searching...</span>')
                            .removeClass('d-none');
                        $.get('/patients-suggest?term=' + term, function(_data) {
                            if($.trim($('#patient-search').val()) === term) { // use returned data only if it's for the sent "term"
                                $('.patient-search-results.suggestions-outer').html(_data).removeClass('d-none');
                            }
                        });
                        lastTerm = term;
                    }
                } else {
                    $('.patient-search-results.suggestions-outer').addClass('d-none');
                }
            }, 250);
            $('#patient-search')
                .off('keydown')
                .on('keydown', function(e) {
                    var activeItem = $('.patient-search-results.suggestions-outer .suggest-item.active');
                    switch (e.which) {
                        case 27:
                            $('.patient-search-results.suggestions-outer').addClass('d-none');
                            markEventAsConsumed(e);
                            return false;
                        case 38:
                            if (activeItem.prev().length) {
                                activeItem.prev()
                                    .addClass('active')
                                    .siblings().removeClass('active');
                                activeItem = $('.patient-search-results.suggestions-outer .suggest-item.active');
                                if (activeItem.length) {
                                    activeItem[0].scrollIntoView();
                                }
                            }
                            return false;
                        case 40:
                            if (activeItem.next().length) {
                                activeItem.next()
                                    .addClass('active')
                                    .siblings().removeClass('active');
                                activeItem = $('.patient-search-results.suggestions-outer .suggest-item.active');
                                if (activeItem.length) {
                                    activeItem[0].scrollIntoView();
                                }
                            }
                            return false;
                        case 13:
                            if (activeItem.length) {
                                activeItem.first().trigger('mousedown');
                            }
                            return false;
                        default:
                            window.setTimeout(onQueryChange, 50);
                            break;
                    }
                })
                .on('keypress paste', function(e) {
                    window.setTimeout(onQueryChange, 50);
                })
                .on('blur', function(e) {
                    $('.patient-search-results.suggestions-outer').addClass('d-none');
                    return false;
                })
                .on('focus', function(e) {
                    if (lastTerm) { //if search has content
                      $('.patient-search-results.suggestions-outer').removeClass('d-none');
                    }
                    return false;
                });

            $(document)
                .off('click.on-click-menu', '.on-click-menu>span')
                .on('click.on-click-menu', '.on-click-menu>span', function() {
                    $(this).parent().find('[menu]').first().show();
                    return false;
                });

            $('body')
                .off('mousedown.on-click-menu-outside-click')
                .on('mousedown.on-click-menu-outside-click', function (e) {
                    if ($(e.target).closest('.on-click-menu').length && $(e.target).closest('.on-click-menu').find('[menu]').is(':visible')) {
                        return;
                    }
                    $('.on-click-menu [menu]').hide();
                });

            function onQueryChange() {
                returnedFunction();
            }
            $(document).on('mousedown', '.suggest-item.patient-suggest[data-target-uid]', function() {
                $('#patient-search').val('');
                $('.patient-search-results.suggestions-outer').addClass('d-none');
                fastLoad('/patients/view/' + $(this).attr('data-target-uid'), true, false, false);
                return false;
            });
            $(document)
                .off('click.tab-link', 'a[tab-link]')
                .on('click.tab-link', 'a[tab-link]', function () {
                    let tab = $(this).attr('tab-link');
                    $(this).siblings().removeClass('tab-link-active');
                    $(this).addClass('tab-link-active');
                    $(this).closest('[tab-links]').siblings('.cm-tab').addClass('d-none');
                    $(this).closest('[tab-links]').siblings('.cm-tab[tab-key="' + tab + '"]').removeClass('d-none');
                    // TODO: move to context
                    if(window.vgBPChart) window.vgBPChart.flush();
                    if(window.vgWtChart) window.vgWtChart.flush();
                    return false;
                });

            addMCInitializer('hide-moes', function() {
                $('div[moe] form:not([show])').hide();
            });

            (function() {
                function init() {
                    $(window).on('resize', adjustStickyHeader);
                    $(window).on('scroll', adjustStickyHeader);
                }
                function adjustStickyHeader() {
                    if($(window).scrollTop() > 0) {
                        $('.sticky-note-header').addClass('sticky');
                    }
                    else {
                        $('.sticky-note-header').removeClass('sticky');
                    }
                }
                addMCInitializer('sticky-note-header', init, '.sticky-note-header');
            })();

        });
    </script>
    <script src="/js/click-to-copy.js?v={{config('app.asset_version')}}"></script>
    <script src="/js/stag-popup.js?v={{config('app.asset_version')}}"></script>
    <script src="/js/stag-suggest.js?v={{config('app.asset_version')}}"></script>
    <script src="/js/stag-table-filter.js?v={{config('app.asset_version')}}"></script>
    <script src="/js/option-list.js?v={{config('app.asset_version')}}"></script>
    <script src="/js/show-on-click.js?v={{config('app.asset_version')}}"></script>
    <script src="/js/dq.js?v={{config('app.asset_version')}}"></script>
    <script src="/js/icd-autocomplete.js?v={{config('app.asset_version')}}"></script>
    <script src="/js/stag-collapsible-card.js?v={{config('app.asset_version')}}"></script>
    <script src="/js/stag-scrollbar.js?v={{config('app.asset_version')}}"></script>
    @include('app/pdf/viewer')
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/dt/dt-1.10.24/fc-3.3.2/fh-3.1.8/datatables.min.css"/>
    <script type="text/javascript" src="https://cdn.datatables.net/v/dt/dt-1.10.24/fc-3.3.2/fh-3.1.8/datatables.min.js"></script>
    <link href="/v-splitter-px/v-splitter.css?v={{config('app.asset_version')}}" rel="stylesheet" >
    <script src="/v-splitter-px/v-splitter.js?v={{config('app.asset_version')}}"></script>
</body>

</html>
